Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class MockTestRunContext

    java.lang.Object
      com.eviware.soapui.model.support.AbstractSubmitContext
          com.eviware.soapui.impl.wsdl.panels.support.MockTestRunContext

All Implemented Interfaces:
  SubmitContext, TestRunContext, java.util.Map<java.lang.String,java.lang.Object>

    public class MockTestRunContext

extends AbstractSubmitContext
implements TestRunContext

Dummy TestRunContext used when executing TestSteps one by one

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestRunContext
`LOAD_TEST_CONTEXT, LOAD_TEST_RUNNER, RUN_COUNT, THREAD_INDEX`

Fields inherited from interface com.eviware.soapui.model.iface.SubmitContext
`HTTP_STATE_PROPERTY, PROPERTY_SEPARATOR`

Constructor Summary
`MockTestRunContext(MockTestRunner mockTestRunner, WsdlTestStep testStep)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`TestStep` | `getCurrentStep()`
`int` | `getCurrentStepIndex()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String testStepName, java.lang.String propertyName)`
`TestCase` | `getTestCase()`
`TestRunner` | `getTestRunner()`
`java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class com.eviware.soapui.model.support.AbstractSubmitContext
`clear, clone, containsKey, containsValue, entrySet, equals, getProperties, getProperty, hashCode, hasProperty, isEmpty, keySet, putAll, remove, removeProperty, resetProperties, setProperty, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.SubmitContext
`hasProperty, removeProperty`

Constructor Detail

### MockTestRunContext

    public MockTestRunContext(MockTestRunner mockTestRunner,
                              WsdlTestStep testStep)

Method Detail

### getCurrentStep

    public TestStep getCurrentStep()

  Specified by:
    `getCurrentStep` in interface `TestRunContext`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `SubmitContext`
  Overrides:
    `setProperty` in class `AbstractSubmitContext`

### getCurrentStepIndex

    public int getCurrentStepIndex()

  Specified by:
    `getCurrentStepIndex` in interface `TestRunContext`

### getTestRunner

    public TestRunner getTestRunner()

  Specified by:
    `getTestRunner` in interface `TestRunContext`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `get` in class `AbstractSubmitContext`

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `put` in class `AbstractSubmitContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `SubmitContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String testStepName,
                                        java.lang.String propertyName)

  Specified by:
    `getProperty` in interface `TestRunContext`

### getTestCase

    public TestCase getTestCase()

  Specified by:
    `getTestCase` in interface `TestRunContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.